| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Tools
Tools.Install
Tools.Install.ProgressBar

# Method Tools.Install.ProgressBar()->update()

Method update

  `int update(int increment)`

Description

  Write the current look of the progressbar to stdout.

Parameter `increment`

  the number of increments closer to completion since last call

Returns

  the length (in characters) of the line with the progressbar